"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEnvConfigFilePath = getEnvConfigFilePath;
exports.getReportFileName = getReportFileName;
exports.getUATFileName = getUATFileName;
var _path = _interopRequireDefault(require("path"));
var _fs = _interopRequireDefault(require("fs"));
var _auth = require("./auth");
function getUATFileName(mode) {
  mode = mode || (0, _auth.getRunMode)();
  const uatConfFilePath = _path.default.resolve(process.cwd(), `uat/conf/${mode}/uat.config.js`);
  if (_fs.default.existsSync(uatConfFilePath)) {
    return uatConfFilePath;
  }
  return _path.default.resolve(process.cwd(), `uat/conf/default/uat.config.js`);
}
function getEnvConfigFilePath(mode) {
  const confFilePath = _path.default.resolve(process.cwd(), `uat/conf/${mode}/settings.json`);
  // TODO: Actors Mode as config
  if (_fs.default.existsSync(confFilePath)) {
    return `uat/conf/${mode}/settings.json`;
  }
  return `uat/conf/default/settings.json`;
}
function getReportFileName() {
  return `test-summary.json`;
}